Webhooks
Subscribes to change events for the contracts collection.
Caution
Read the Webhooks page. There is important information on required implementation!
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
POST
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/webhooks
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-webhooks.write
Request properties
This list of properties can be sent in the request body.
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
destinationUrl |
string | Yes | Yes | The URL where webhook events will be sent. |
collectionName |
string | Yes | Yes | The name of the collection to subscribe to (contracts). |
Event properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Unique identifier for the contract record. |
person.id |
integer | — | Read-only | Internal ID of the person. |
code |
string | — | Read-only | The contract code. |
from |
string | — | Read-only | Start date of the contract for when it’s active. |
until |
string | — | Read-only | End date of the contract. |
contractHoursInMinutes |
integer | — | Read-only | Contracted hours in minutes. |
fullTimeEquivalentInMinutes |
integer | — | Read-only | The equivalent in minutes for a full-time contract. |
contractPercentage |
number | — | Read-only | Percentage of full-time contract. |
numberOfWorkingDaysPerWeek |
integer | — | Read-only | The number of working days per week. |
numberOfDaysInContractPeriod |
integer | — | Read-only | The number of days in the contract period. |
kind |
string | — | Read-only | The kind of contract (Contract, Addendum). |
parentContract.id |
integer | — | Read-only | Identifier of the parent contract. |
External references
The endpoint supports predefined and custom external references. See the external references page for details and the predefined options list.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
contracts |
Not available | Supported |
people |
@badge-number, @employee-number |
Supported |
Error responses
| Status | Condition |
|---|---|
400 |
Invalid destination URL or unknown collection name |
401 |
Missing or invalid access token, or insufficient scope |
Success response
201 Created with webhook key and validUntil in the response body.
Examples
Creating a webhook for contracts
POST
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/webhooks
Request:
{
"destinationUrl": "https://www.fictional-customer.com/protime/contracts",
"collectionName": "contracts"
}